import _package from "git-add-then-commit/package.json";
const {
  name: pkgName
} = _package;
import { configureProgram } from "./index.mjs";
import debugFactory from 'debug';
const debug = debugFactory(`${pkgName}:cli`);
export default (({
  program,
  parse
}) => parse().catch(async e => {
  if (!(await program.argv).silent) {
    // eslint-disable-next-line no-console
    console.error(`fatal: ${(typeof e == 'string' ? e : e.message).replace(/^fatal: /, '')}`);
  }

  debug.extend('<error>')('%O', e);
  process.exit(1);
}))(configureProgram());