#!/usr/bin/env node
(()=>{"use strict";var e={n:t=>{var a=t&&t.__esModule?()=>t.default:()=>t;return e.d(a,{a}),a},d:(t,a)=>{for(var o in a)e.o(a,o)&&!e.o(t,o)&&Object.defineProperty(t,o,{enumerable:!0,get:a[o]})},o:(e,t)=>Object.prototype.hasOwnProperty.call(e,t)};const t=require("git-add-then-commit/package.json");var a=e.n(t);const o=require("path");var s=e.n(o);const i=require("yargs/yargs");var r=e.n(i);const n=require("debug");var l=e.n(n);const c=require("simple-git");var p=e.n(c);const f=require("common-ancestor-path");var m=e.n(f);const u=require("execa");var g=e.n(u);const{name:d}=a(),h=l()(`${d}:git-lib`);async function w(){const{files:e}=await p()().status(),t=e.filter((e=>!["?"," "].includes(e.index))).flatMap((e=>e.path.split(" -> ")));return h("getStagedPaths: saw file paths: %O",e),h("getStagedPaths: returning: %O",t),t}async function y(e){const t=(await Promise.all([g()("git",["diff","--name-only","--",e]),g()("git",["diff","--staged","--name-only","--",e])])).reduce(((e,{stdout:t})=>[...e,...t.split("\n")]),[]).filter(Boolean);h(`fullname: combined stdout array:\n"${t}"`);const a=Array.from(new Set(t));if(!a.length)throw new Error(`path "${e}" does not refer to any staged files`);const o=a.length>1?{ambiguous:!0,files:a}:{ambiguous:!1,file:a[0]};return h("fullname: computed files (from stdout): %O",a),h("fullname: result: %O",o),o}const{name:b}=a(),{parse:v,basename:$}=s(),E=l()(`${b}:parse`),O=RegExp("^[\\s|*]*(BREAKING|BREAKING CHANGE|BREAKING CHANGES)[:\\s]+(.*)","im"),{name:S}=a(),x=l()(`${S}:cli`);(({program:e,parse:t})=>{t().catch((async t=>{(await e.argv).silent||console.error(`fatal: ${("string"==typeof t?t:t.message).replace(/^fatal: /,"")}`),x.extend("<error>")("%O",t),process.exit(1)}))})(function(e){const t=r()();return t.scriptName("gac").usage('$0 [path1, path2, ...] commit-type commit-scope commit-message\n\nStage any paths provided and then commit all staged files. Running this command is equivalent to running the following git commands by hand:\n  git add path1 path2 ...\n  git commit -m "commit-type(commit-scope): commit-message"').options({"scope-omit":{alias:"o",describe:"Do not include a scope at all",type:"boolean"},"scope-basename":{alias:"b",describe:"Use path1's basename as the scope",type:"boolean"},"scope-as-is":{alias:"a",describe:"Use path1 exactly as typed as the scope",type:"boolean"},"scope-full":{alias:"f",describe:"Use path1 (relative to repo root) as the scope",type:"boolean"},"scope-root":{alias:"r",describe:"Use path1 to derive a photogenic scope",type:"boolean"},silent:{alias:"s",describe:"Nothing will be printed to stdout or stderr",type:"boolean"},force:{describe:"Always stage paths even when doing so could damage the index",type:"boolean"},verify:{alias:"v",describe:"Use --no-verify or -v false to bypass git pre-commit and commit-msg hooks",type:"string",choices:["true","false","simple"],default:"true"}}).string("_").group(["scope-omit","scope-basename","scope-as-is","scope-full","scope-root"],"Scope options:").group(["help","version","silent","force","verify"],"Other options:").epilogue("See the full documentation for more details: https://bit.ly/3AdNSAU").example([['$0 path/to/file1 feat - "new feature"','Stages file1 & commits as "feat: new feature"'],['$0 path file2 feat -- "new feature"','Stages file1 & file2 & commits as "feat(file1): new feature"'],['$0 path feat --scope-as-is "feature"','Stages file1 & commits as "feat(path): feature"'],['$0 path feat --scope-full "new feature"','Stages file1 & commits as "feat(path/to/file1): new feature"'],['$0 path feat --scope-root "new feature"','Stages file1 & file2 & commits as "feat(path): new feature"'],['$0 chore scripts "update var names"','Commits (all staged files) as "chore(scripts): update var names"']]).strictOptions(),{program:t,parse:async e=>{var a;e=(null!==(a=e)&&void 0!==a&&a.length?e:process.argv.slice(2)).map((e=>"-"==e?"-o":"--"==e?"-b":"---"==e?"-r":"--no-verify"==e?"-v=false":e)),E("saw argv: %O",e);const o=await t.parse(e);let s=!1;const i=["scopeOmit","scopeBasename","scopeAsIs","scopeFull","scopeRoot"].filter((e=>e in o)).length,r=(s=!!i)?2:3;if(i>1)throw new Error("only one scope option is allowed. See --help for details");if(o._.length<r)throw new Error("must pass all required arguments. See --help for details");if(!await async function(){return p()().checkIsRepo()}())throw new Error("not a git repository (or any of the parent directories): .git");const n=await w();if(E("pre-staged paths: %O",n),o._.length==r&&!n.length)throw new Error("must stage a file or pass a path. See --help for details");const l=Array.from(o._).map(String);let c=l.splice(0,l.length-(s?2:3));const[f,u,d]=s?[l[0],,l[1]]:l,b=await async function(){return g()("git",["rev-parse","--show-toplevel"]).then((e=>e.stdout))}(),S=f.toLowerCase();let x=`${S}(${u}): ${d}`;if(E(`repo root dir: ${b}`),E(`initial message: ${x}`),c=c.map((e=>e.startsWith("::")?`${b}/packages/${e.slice(2)}`:e)),n.length)if(o.force)E("WARNING: skipping dangerous operation check!");else if(E("performing dangerous operation check"),(await Promise.allSettled(c.map((e=>y(e))))).filter((e=>"fulfilled"==e.status)).flatMap((({value:e})=>e.ambiguous?e.files:e.file)).some((e=>n.includes(e))))throw new Error('dangerous operation rejected: "git add" could clobber index state (can be overridden with --force)');await async function(e){h("stagePaths: adding (staging) paths: %O",e),e.length&&await p()().add(e)}(c);const A=await w();if(!A.length)throw new Error("assert failed: nothing to commit");if(!u)if(E("deriving commit scope based on rules: %O",o),o.scopeOmit)E("deriving as omit"),x=`${S}: ${d}`;else{let e;if(o.scopeBasename){if(E("deriving as basename"),c.length){const t=c[0],a=await y(t);if(a.ambiguous)throw new Error("use of --scope-basename with an ambiguous path");e=$(a.file)}else{if(1!=A.length)throw new Error("use of --scope-basename with multiple staged files is ambiguous");e=$(A[0])}e=e.toLowerCase()}else if(o.scopeFull||o.scopeRoot){const t=o.scopeRoot?"root":"full";E(`deriving as ${t}`);const a=e=>e.split(".").filter(Boolean)[0]||e,s=e=>{const a=function(e){const t=m()(...e)||null;return h(`commonAncestor: computed ancestor: ${t}`),t}(e);if(!a)throw new Error(`use of --scope-${t} is ambiguous without common ${o.scopeFull?"non-root":"first or second"} ancestor`);return a};if(c.length){const t=await y(c[0]);if(t.ambiguous)e=s(t.files);else{const a=v(t.file);e=o.scopeRoot&&!a.dir?a.name:t.file}}else e=1==A.length?A[0]:s(A);if(e=e.toLowerCase(),o.scopeRoot){const t=e.split("/").filter(Boolean);"packages"==t[0]&&t.length>=2?e=`packages/${t[1]}`:(t[0].startsWith("external")&&(t[0]="externals"),e=t[0],t[1]&&t[0]==S&&(t[2]?e=t[1]:(e=a(t[1]),"index"==e&&(e=""))),e=a(e))}e==S&&(e="")}else{if(E("deriving as as-is"),!c.length)throw new Error("use of --scope-as-is without path argument is ambiguous");e=c[0]}x=S+(e?`(${e}): `:": ")+d}return(e=>O.test(e))(d)&&(x=x.slice(0,x.indexOf(":"))+"!"+x.slice(x.indexOf(":"))),await async function(e,t=!0,a=!1){h(`makeCommit: pipe output: ${t}`),h(`makeCommit: no-verify: ${a}`),h("makeCommit: creating commit with message: %O",e);const o=!0===a?["--no-verify"]:[];await g()("git",["commit","-m",e,...o],{...t?{stdio:"inherit"}:{stdio:"pipe"},..."simple"===a?{env:{GAC_VERIFY_SIMPLE:"true"}}:{}}).catch((()=>{throw new Error((t?"":"silent ")+"commit operation failed")}))}(x,!o.silent,"simple"===o.verify?"simple":"false"===o.verify||!!o.noVerify),o}}}())})();